from attrs import field, define
from attrs.validators import instance_of, deep_iterable
from src.data_classes.parameters_visualization import PlotParameters


@define
class BoxPlotParameters(PlotParameters):
    variable_1: str = field(validator=instance_of(str))
    variable_2: str = field(validator=instance_of(str))
